Subject: Window config corruption when restoring from register

From: Kelly Dean <[email-masked]>
Date: Fri, 25 May 2012 18:46:13 -0700 (PDT)

I'm using Emacs on X on Debian 6 Stable. emacs-version says GNU Emacs 23.2.1 (i486-pc-linux-gnu, GTK+ Version 2.20.0) of 2010-12-11 on raven, modified by Debian.
Steps to reproduce the bug:
emacs -Q
C-x b foo ret
C-x 2
C-x r w a
C-x 1
C-x k ret
C-x r j a
Notice that in the bottom window, you get a buffer named "*Minibuf-1*". Press M-x and type something; notice that your text appears both in the minibuffer and in the bottom window. Surely this is a bug. 

Previously I managed to get it to give an error message "exit-minibuffer: No catch for tag: exit, nil", but I don't remember how, and my notes say that this had something to do with ido-mode, but I don't remember why. It was a couple weeks ago.
Just now while verifying reproduction of the window corruption, I did it a little differently and managed to lock up Emacs with 100% CPU usage, and got a segfault when I killed it, but I can't reproduce that. Too bad that dumping core isn't the default anymore.